Yaf_View_Simple::assignRef
Yaf_View_Simple::__construct
Yaf_View_Simple
PHP Manual

# Yaf_View_Simple::clear

Clear Assigned values

### Description

public bool Yaf_View_Simple::clear ([ string `$name` ] )

clear assigned variable

### Parameters

`name`

  assigned variable name

  if empty, will clear all assigned variables

### Return Values

### Examples

Example #1 Yaf_View_Simple::clearexample

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$this->getView()->clear("foo")->clear("bar"); // clear "foo" and "bar"
$this->_view->clear(); //clear all assigned variables
}
?>`

### See Also

- Yaf_View_Simple::assignRef
- Yaf_View_Interface::assign
- Yaf_View_Simple::__set